## Get api_key

### cURL

```
curl --request GET \
  --url https://api.braintrust.dev/v1/api_key/{api_key_id} \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.braintrust.dev/v1/api_key/{api_key_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.braintrust.dev/v1/api_key/{api_key_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.braintrust.dev/v1/api_key/{api_key_id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.braintrust.dev/v1/api_key/{api_key_id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java (Unirest)

```
HttpResponse<String> response = Unirest.get("https://api.braintrust.dev/v1/api_key/{api_key_id}")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```
require 'uri'
require 'net/http'

url = URI("https://api.braintrust.dev/v1/api_key/{api_key_id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response Status Codes

- **200**
- **400**
- **401**
- **403**
- **429**
- **500**

### Response Body Example

```json
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "preview_name": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_email": "<string>",
  "user_given_name": "<string>",
  "user_family_name": "<string>",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "expires_at": "2023-11-07T05:31:56Z"
}
```

### Parameters

#### Authorization
- **Type:** string
- **Location:** header
- **Required:** Yes

Most Braintrust endpoints are authenticated by providing your API key as a header `Authorization: Bearer [api_key]`.

#### Path Parameters
- **api_key_id**: string<uuid>
  - **Required**: Yes
  - Description: ApiKey id

### Response
- **200**: application/json
  - Returns the api_key object.

#### API Key Object Fields
- **id**: string<uuid> (required) - Unique identifier for the api key
- **name**: string (required) - Name of the api key
- **preview_name**: string (required)
- **created**: string<date-time> | null - Date of api key creation
- **user_id**: string<uuid> | null - Unique identifier for the user
- **user_email**: string | null - The user's email
- **user_given_name**: string | null - Given name of the user
- **user_family_name**: string | null - Family name of the user
- **org_id**: string<uuid> | null - Unique identifier for the organization
- **expires_at**: string<date-time> | null - Date at which the API key expires.
